#include <stdio.h>
#include <iostream>
#include <algorithm>


using namespace std;
long long L, R;
long long N, Nmax;
int p, q, r;
int i = 0;

void main()
{
	cin >> p >> q >> r >> L >> R;

	Nmax = 3.0 / (1.0 - (float)(p * q + q * r + p * r) /(float)( p * q * r) ) + 7;

	if (R > Nmax)
	{
		for (long long N = L; N <= Nmax; N++)
		{
			long double x = N;
			long double a = ceill(x / p); // 
			long double b = ceill(x / q); // 
			long double c = ceill(x / r); // 

			if (llroundl(a) + llroundl(b) + llroundl(c) <= N)
			{
				i++;
				// cout << N << ' ';
			}
		};

		cout << R - (Nmax - i);
	}
	else
	{
		i = 0;
		for (long long N = L; N <= R; N++)
		{
			long double x = N;
			long double a = ceill(x / p); // 
			long double b = ceill(x / q); // 
			long double c = ceill(x / r); // 

			if (llroundl(a) + llroundl(b) + llroundl(c) <= N)
			{
				i++;
				// cout << N << ' ';
			}
		};

		cout << i;
	}

}